Main Page Class Hierarchy Compound List File List Compound Members File Members

# Aobject Class Reference

`#include <object.h>`

Inheritance diagram for Aobject::

List of all members.

## Public Types
enum | { stateVISIBLE = Anode::stateLAST, stateFOCUS = stateVISIBLE<<1, stateNOCONTEXT = stateFOCUS<<1, stateSIZEABLE = stateNOCONTEXT<<1, stateLAST = stateSIZEABLE<<1 }
## Public Methods
virtual ACI * | getCI ()
ADLL | Aobject (char *name, class Aobject *father, int x, int y, int w, int h)
virtual ADLL | ~Aobject ()
ADLL void | destroy ()
virtual ADLL bool | show (bool visible)
virtual ADLL bool | zorder (int action)
virtual ADLL bool | move (int x, int y)
virtual bool | size (int w, int h)
virtual ADLL bool | mouseCapture (bool b, Aobject *o=NULL)
virtual ADLL void | mousePosition (int *x, int *y)
virtual ADLL bool | focus (Aobject *o=NULL)
virtual ADLL bool | timer (int time=0)
virtual bool | setTooltips (char *s)
ADLL class Awindow * | getWindow ()
ADLL bool | getPosition (Aobject *o, int *x, int *y)
ADLL class Aobject * | getObject (int x, int y)
ADLL int | getKeyboardState ()
virtual ADLL void | update (Abitmap *b)
virtual void | paint (Abitmap *b)
virtual ADLL void | repaint (Arectangle r, bool now=FALSE)
virtual ADLL void | repaint (bool now=FALSE)
virtual bool | mouse (int x, int y, int state, int event)
virtual bool | keyboard (int event, int ascii, int scan, int state)
virtual void | pulse ()
virtual bool | NCkeyboard (int event, int ascii, int scan, int state)
virtual ADLL bool | NCmouse (int x, int y, int state, int event)
bool | NCzorder (Anode *o, int action)
## Public Attributes
Arectangle | pos
Aitem * | context
char * | tooltips
## Static Public Attributes
ADLL ACI | CI

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  stateVISIBLE |
  stateFOCUS |
  stateNOCONTEXT |
  stateSIZEABLE |
  stateLAST |

## Constructor & Destructor Documentation

ADLL Aobject::Aobject | ( | char * | name,
|  | class Aobject * | father,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |

virtual ADLL Aobject::~Aobject | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Aobject::NCkeyboard | ( | int | event,
|  | int | ascii,
|  | int | scan,
|  | int | state
| ) | `[inline, virtual]`

virtual ADLL bool Aobject::NCmouse | ( | int | x,
|  | int | y,
|  | int | state,
|  | int | event
| ) | `[virtual]`

| Reimplemented in Awindow.

bool Aobject::NCzorder | ( | Anode * | o,
|  | int | action
| ) |

ADLL void Aobject::destroy | ( |  | ) |

virtual ADLL bool Aobject::focus | ( | Aobject * | o = NULL | ) | `[virtual]`

| Reimplemented in Awindow.

virtual ACI* Aobject::getCI | ( |  | ) | `[inline, virtual]`

| Reimplemented from Anode. Reimplemented in Aflash, Alayer, and Awindow.

ADLL int Aobject::getKeyboardState | ( |  | ) |

ADLL class Aobject* Aobject::getObject | ( | int | x,
|  | int | y
| ) |

ADLL bool Aobject::getPosition | ( | Aobject * | o,
|  | int * | x,
|  | int * | y
| ) |

ADLL class Awindow* Aobject::getWindow | ( |  | ) |

virtual bool Aobject::keyboard | ( | int | event,
|  | int | ascii,
|  | int | scan,
|  | int | state
| ) | `[inline, virtual]`

| Reimplemented in Aedit.

virtual bool Aobject::mouse | ( | int | x,
|  | int | y,
|  | int | state,
|  | int | event
| ) | `[inline, virtual]`

| Reimplemented in Abutton, Aedit, Aflash, Amapping, ActrlButton, Apaddle, Apattern, Apin, Aselcolor, Aselect, Aslider, AtableFront, and AtableBack.

virtual ADLL bool Aobject::mouseCapture | ( | bool | b,
|  | Aobject * | o = NULL
| ) | `[virtual]`

| Reimplemented in Awindow.

virtual ADLL void Aobject::mousePosition | ( | int * | x,
|  | int * | y
| ) | `[virtual]`

virtual ADLL bool Aobject::move | ( | int | x,
|  | int | y
| ) | `[virtual]`

| Reimplemented in Awindow.

virtual void Aobject::paint | ( | Abitmap * | b | ) | `[inline, virtual]`

| Reimplemented in Aedit, Asurface, Amapping, Apaddle, Apattern, Aselcolor, Aselect, Aslider, and Atable.

virtual void Aobject::pulse | ( |  | ) | `[inline, virtual]`

| Reimplemented in Aedit, and Aflash.

virtual ADLL void Aobject::repaint | ( | bool | now = FALSE | ) | `[virtual]`

| Reimplemented in Awindow.

virtual ADLL void Aobject::repaint | ( | Arectangle | r,
|  | bool | now = FALSE
| ) | `[virtual]`

| Reimplemented in Awindow.

virtual bool Aobject::setTooltips | ( | char * | s | ) | `[inline, virtual]`

virtual ADLL bool Aobject::show | ( | bool | visible | ) | `[virtual]`

| Reimplemented in Awindow.

virtual bool Aobject::size | ( | int | w,
|  | int | h
| ) | `[inline, virtual]`

| Reimplemented in Asurface, Awindow, and Atable.

virtual ADLL bool Aobject::timer | ( | int | time = 0 | ) | `[virtual]`

virtual ADLL void Aobject::update | ( | Abitmap * | b | ) | `[virtual]`

| Reimplemented in AtableBack.

virtual ADLL bool Aobject::zorder | ( | int | action | ) | `[virtual]`

| Reimplemented in Awindow.

## Member Data Documentation

ADLL ACI Aobject::CI`[static]`

| Reimplemented from Anode. Reimplemented in Aflash, Alayer, and Awindow.

class Aitem* Aobject::context

Arectangle Aobject::pos

char* Aobject::tooltips

The documentation for this class was generated from the following file:

- object.h